transformfactory.hh File Reference
`#include <set>`
`#include <mia/3d/transform.hh>`
`#include <mia/template/transformfactory.hh>`
Include dependency graph for 3d/transformfactory.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TTransformCreator< C3DTransformation > | C3DTransformCreator
| base class for the creators of 3D transformations
typedef THandlerSingleton< TFactoryPluginHandler< C3DTransformCreatorPlugin > > | C3DTransformCreatorHandler
| Transform creator plugin handler.
typedef TTransformCreatorPlugin< C3DTransformation > | C3DTransformCreatorPlugin
| Base class for the transform creator plugins.
typedef std::shared_ptr< C3DTransformCreator > | P3DTransformationFactory
| pointer type of the class for the creators of 3D transformations

## Functions

P3DTransformationFactory | produce_3dtransform_factory (const std::string &descr)

## Function Documentation

## produce_3dtransform_factory()

P3DTransformationFactory produce_3dtransform_factory | ( | const std::string & | descr | ) |

inline

Create a transformation creator from the given description

Parameters

  descr |

Returns
  the transformation creator

Definition at line 62 of file 3d/transformfactory.hh.

References THandlerSingleton< TFactoryPluginHandler< C3DTransformCreatorPlugin > >::instance().